FireGuardApi reference

Check assistant output

Evaluate an assistant response before sending it back to the user.

POST
/output_guardrails

Evaluate an assistant response before sending it back to the user.

Authorization

ApiKeyAuth
X-Api-Key<token>

FireGuard organization API key.

In: header

Query Parameters

conversation_id*string

FireGuard conversation ID returned by the conversation endpoint.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/output_guardrails?conversation_id=string" \  -H "Content-Type: application/json" \  -d '{    "input_id": "00000000-0000-0000-0000-000000000000",    "output": "The forecast is 24C with a mix of sun and cloud."  }'
{  "is_safe": true,  "output_request": {    "id": "string",    "role": "string",    "content": {      "text": "string",      "text_with_context": "string"    }  },  "output_message_id": "string",  "policies_guardrail_results": {    "policies": [      {        "id": "string",        "name": "string",        "description": "string",        "criticality": "low",        "detection_threshold": 0,        "detection_is_above_threshold": true,        "status": "success",        "value": 0,        "is_safe": true,        "policy_violation_message": "string"      }    ],    "is_safe": true,    "timestamp": "2019-08-24T14:15:22Z"  },  "security_guardrail_results": {    "is_safe": true,    "timestamp": "2019-08-24T14:15:22Z",    "value": 0,    "security_violation_message": "string"  }}